#include <bits/stdc++.h>
int main()
{
int n, k, N[1000005], x;
scanf("%d%d", &n, &k);
for(int i=0; i<n ; i++) 
{
scanf("%d" , &N[i]);
if(N[i] == k) x=i;
}
if(x==n-1) printf("%d" ,N[0]);
else if (x==0) printf("%d", N[1]);
else printf("%d", N[x-1]);
return 0;
}